from banbou import _Projet
import banbou, os, shutil

# Je n'ai pas mocker l'environnement donc prévoir d'effacer
# les anciens fichiers et dossier créés par les tests précédents




def test_ne_doit_copier_que_les_fichiers_necessaires(mocker):

    dossier = r"C:\Users\David_Castex\Documents\DATAS\GITDAV\NEOBANBOU\test\JEUXDONNEES\DIS_AXR08_PT802161"

    sut = _Projet()
    sut.racine = dossier
    sut.fichiers = banbou.creer_liste(dossier)
    sut.preparer_dossier_travail()

    # ici je parcours "Travail" pour voir ce qui à été créé
    out = os.walk(dossier + "\\Travail")
    liste = [i for i in out]    # transfo de l'itérable en liste

    # valeurs attendues
    sous_dossier_attendue = [] # pas de sous dossier
    fichiers_attendues = ['DIS.pdf', 'DIS_AXR08_PT802161.pdf',  'Plan_DIS_AXR08_PT802161.dwg', 'Point_DIS_AXR08_PT802161_IN.csv']


    # Ici j'efface le dossier de "Travail" pour pas interférer avec les autres tests,
    # d'ailleurs j'ai voulu ecrire ces lignes après les asserts et ça ne s'éxecutait pas,
    # j'en conclu que tout ce qui est écrit après un assert NE S'EXÉCUTE PAS
    print("\n" + dossier + "\\Travail")
    shutil.rmtree(dossier + "\\Travail")


    assert liste[0][1] == sous_dossier_attendue
    assert liste[0][2] == fichiers_attendues

